Bug 235355 - mod_revocator should use If-Modified-Since
mod_revocator should use If-Modified-Since
Status: MODIFIED
Product: Red Hat Fortitude
Classification: Retired
Component: General (Show other bugs)
1.0
All All
medium Severity low
: ---
: ---
Assigned To: Rob Crittenden
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 08:44 EDT by Rob Crittenden
Modified: 2015-01-04 19:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to include If-Modified-Since and handle that response (8.76 KB, patch)
2007-06-04 17:08 EDT, Rob Crittenden
no flags Details | Diff
Updated patch (10.76 KB, application/octet-stream)
2007-06-05 10:29 EDT, Rob Crittenden
no flags Details

  None (edit)
Description Rob Crittenden 2007-04-05 08:44:33 EDT
Some CRL files are very large and not updated very often. It would make sense to
use the If-Modified-Since header when retrieving files over HTTP to determine if
the CRL has changed since the last retrieval.
Comment 1 Rob Crittenden 2007-06-04 17:08:22 EDT
Created attachment 156133 [details]
Patch to include If-Modified-Since and handle that response

I have to trick the CRL manager into accepting a 0-length response in this
case. Normally we would consider that an error.
Comment 2 Rob Crittenden 2007-06-05 10:29:17 EDT
Created attachment 156225 [details]
Updated patch

This updated patch includes:

- Separate logging for a 304. It isn't really an "error" when this occurs and
it could alarm and confuse people
- Added a ChangeLog
Comment 3 Rob Crittenden 2007-06-05 10:39:24 EDT
Checking in ChangeLog;
/cvs/dirsec/mod_revocator/ChangeLog,v  <--  ChangeLog
new revision: 1.2; previous revision: 1.1
done
Checking in client.cpp;
/cvs/dirsec/mod_revocator/client.cpp,v  <--  client.cpp
new revision: 1.3; previous revision: 1.2
done
Checking in client.h;
/cvs/dirsec/mod_revocator/client.h,v  <--  client.h
new revision: 1.3; previous revision: 1.2
done
Checking in client_err.h;
/cvs/dirsec/mod_revocator/client_err.h,v  <--  client_err.h
new revision: 1.3; previous revision: 1.2
done
Checking in crlmanager.cpp;
/cvs/dirsec/mod_revocator/crlmanager.cpp,v  <--  crlmanager.cpp
new revision: 1.3; previous revision: 1.2
done
Checking in http-client.cpp;
/cvs/dirsec/mod_revocator/http-client.cpp,v  <--  http-client.cpp
new revision: 1.4; previous revision: 1.3
done
Checking in mod_rev.c;
/cvs/dirsec/mod_revocator/mod_rev.c,v  <--  mod_rev.c
new revision: 1.4; previous revision: 1.3
done
Checking in reverror.h;
/cvs/dirsec/mod_revocator/reverror.h,v  <--  reverror.h
new revision: 1.3; previous revision: 1.2
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.

Note You need to log in before you can comment on or make changes to this bug.